landscape.plugin.PluginConfigError: A processor info reader for 'aarch64' is not available.

Bug #1306824 reported by dann frazier on 2014-04-11
24
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Landscape Client
High
Benji York
landscape-client (Ubuntu)
Undecided
Unassigned

Bug Description

landscape-client 14.01-0ubuntu3

dannf@arm64:~$ sudo /usr/bin/landscape-monitor
Traceback (most recent call last):
  File "/usr/bin/landscape-monitor", line 8, in <module>
    run(sys.argv)
  File "/usr/lib/python2.7/dist-packages/landscape/monitor/service.py", line 66, in run
    run_landscape_service(MonitorConfiguration, MonitorService, args)
  File "/usr/lib/python2.7/dist-packages/landscape/service.py", line 81, in run_landscape_service
    service = service_class(configuration)
  File "/usr/lib/python2.7/dist-packages/landscape/monitor/service.py", line 26, in __init__
    self.plugins = self.get_plugins()
  File "/usr/lib/python2.7/dist-packages/landscape/monitor/service.py", line 35, in get_plugins
    for plugin_name in self.config.plugin_factories]
  File "/usr/lib/python2.7/dist-packages/landscape/monitor/processorinfo.py", line 49, in __init__
    source_filename)
  File "/usr/lib/python2.7/dist-packages/landscape/monitor/processorinfo.py", line 60, in _create_cpu_info_reader
    "available." % machine_name)
landscape.plugin.PluginConfigError: A processor info reader for 'aarch64' is not available.

fyi, base-installer in trusty has sample cpuinfo files from aarch64 under kernel/tests/arm64.

Changed in landscape-client:
milestone: none → backlog
importance: Undecided → Medium
Changed in landscape-client:
milestone: backlog → none
importance: Medium → High
tags: added: kanban
tags: removed: kanban
Benji York (benji) on 2014-04-29
Changed in landscape-client:
assignee: nobody → Benji York (benji)
Changed in landscape-client:
status: New → Fix Committed
Andreas Hasenack (ahasenack) wrote :

The latest client daily build has this branch, if you want to try it:

ppa:landscape/trunk

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in landscape-client (Ubuntu):
status: New → Confirmed
dann frazier (dannf) wrote :
Download full text (3.7 KiB)

Still fails for me, albeit with a different backtrace (see below). Should I file a separate bug for this?

dannf@mustang:~$ sudo apt-get install landscape-client
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  at-spi2-core libgphoto2-l10n libxtst6 python-twisted-names
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  landscape-common
The following packages will be upgraded:
  landscape-client landscape-common
2 upgraded, 0 newly installed, 0 to remove and 134 not upgraded.
Need to get 211 kB of archives.
After this operation, 27.6 kB disk space will be freed.
Do you want to continue? [Y/n]
Get:1 http://ppa.launchpad.net/landscape/trunk/ubuntu/ utopic/main landscape-client arm64 14.08+bzr791-0ubuntu0~ubuntu14.10.1 [32.4 kB]
Get:2 http://ppa.launchpad.net/landscape/trunk/ubuntu/ utopic/main landscape-common arm64 14.08+bzr791-0ubuntu0~ubuntu14.10.1 [178 kB]
Fetched 211 kB in 1s (162 kB/s)
Preconfiguring packages ...
(Reading database ... 131411 files and directories currently installed.)
Preparing to unpack .../landscape-client_14.08+bzr791-0ubuntu0~ubuntu14.10.1_arm64.deb ...
 * Stopping landscape-client daemon [fail]
Unpacking landscape-client (14.08+bzr791-0ubuntu0~ubuntu14.10.1) over (14.01-0ubuntu3) ...
Preparing to unpack .../landscape-common_14.08+bzr791-0ubuntu0~ubuntu14.10.1_arm64.deb ...
Unpacking landscape-common (14.08+bzr791-0ubuntu0~ubuntu14.10.1) over (14.01-0ubuntu3) ...
Processing triggers for man-db (2.7.0.2-1) ...
Processing triggers for ureadahead (0.100.0-16) ...
Setting up landscape-common (14.08+bzr791-0ubuntu0~ubuntu14.10.1) ...
Setting up landscape-client (14.08+bzr791-0ubuntu0~ubuntu14.10.1) ...
Installing new version of config file /etc/init.d/landscape-client ...
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
landscape-client is not configured, please run landscape-config.
Processing triggers for ureadahead (0.100.0-16) ...
dannf@mustang:~$ sudo /usr/bin/landscape-monitor
2014-10-14 11:04:11,246 INFO [MainThread] Monitor started with config /etc/landscape/client.conf
Traceback (most recent call last):
  File "/usr/bin/landscape-monitor", line 8, in <module>
    run(sys.argv)
  File "/usr/lib/python2.7/dist-packages/landscape/monitor/service.py", line 66, in run
    run_landscape_service(MonitorConfiguration, MonitorService, args)
  File "/usr/lib/python2.7/dist-packages/landscape/service.py", line 121, in run_landscape_service
    startApplication(application, False)
  File "/usr/lib/python2.7/dist-packages/twisted/application/app.py", line 658, in startApplication
    service.IService(application).startService()
  File "/usr/lib/python2.7/dist-packages/twisted/application/service.py", line 282, in startService
    service.startService()
  File "/usr/lib/python2.7/dist-packages/landscape/monitor/service.py", line 40, in startService
    self.publisher.start()
  File "/usr/lib/python2.7/dist-packages/landscape/amp.py", line 45, in start
    self._po...

Read more...

Andreas Hasenack (ahasenack) wrote :

Please run it using

sudo landscape-client

On Tue, Oct 14, 2014 at 11:20 AM, Andreas Hasenack
<email address hidden> wrote:
> Please run it using
>
> sudo landscape-client

That appears to succeed.

Andreas Hasenack (ahasenack) wrote :

So if you start the client via its initscript (sudo service landscape-client start), it should work and all processes should be running, including the monitor. The monitor shouldn't be run manually on its own.

Andreas Hasenack (ahasenack) wrote :

And keep in mind your client is not configured yet, or at least wasn't:
"""
 landscape-client is not configured, please run landscape-config.
"""

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 14.12-0ubuntu1

---------------
landscape-client (14.12-0ubuntu1) vivid; urgency=medium

  * New upstream version:
    - Fix platform detection on POWER machines (LP: #1271615)
    - Fix platform detection for arm64 machines (LP: #1306824)
    - Added a mechanism to set the client's user-agent (LP: #1399139)
    - Fixed release-upgrader not asking for a seesion ID before attempting to
      send a message (LP: #1401867)
 -- Christopher Glass (Canonical) <email address hidden> Fri, 12 Dec 2014 09:12:04 -0600

Changed in landscape-client (Ubuntu):
status: Confirmed → Fix Released

Hello dann, or anyone else affected,

Accepted landscape-client into utopic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/landscape-client/14.12-0ubuntu0.14.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Hello dann, or anyone else affected,

Accepted landscape-client into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/landscape-client/14.12-0ubuntu0.14.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

dann frazier (dannf) on 2015-01-12
tags: added: verification-done-trusty
removed: verification-needed
dann frazier (dannf) on 2015-01-12
tags: added: verification-done verification-done-utopic
Andreas Hasenack (ahasenack) wrote :

This was verified for trusty and utopic.

Chris J Arges (arges) wrote :

Hello dann, or anyone else affected,

Accepted landscape-client into lucid-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/landscape-client/14.12-0ubuntu0.10.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: verification-done
tags: added: verification-needed

On Wed, Jan 21, 2015 at 10:34 AM, Chris J Arges
<email address hidden> wrote:
> Hello dann, or anyone else affected,
>
> Accepted landscape-client into lucid-proposed. The package will build
> now and be available at http://launchpad.net/ubuntu/+source/landscape-
> client/14.12-0ubuntu0.10.04 in a few hours, and then in the -proposed
> repository.
>
> Please help us by testing this new package. See
> https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to
> enable and use -proposed. Your feedback will aid us getting this update
> out to other Ubuntu users.

hey Chris,
lucid does not have an arm64 port, so it is not possible to test this.

 -dann

Andreas Hasenack (ahasenack) wrote :

We will just make sure the fix is there in the code then.

Chris Glass (tribaal) wrote :

"Verified" with the package in lucid-proposed. As noted there is no arm64 port for lucid, so I simply asserted the code was there (and it is).

tribaal@ubuntu:~$ apt-cache policy landscape-client
landscape-client:
  Installed: 14.12-0ubuntu0.10.04
  Candidate: 14.12-0ubuntu0.10.04
  Version table:
 *** 14.12-0ubuntu0.10.04 0
        500 http://deb-mirror.habari.co.tz/ubuntu/ lucid-proposed/main Packages
        100 /var/lib/dpkg/status
     13.07.3-0ubuntu0.10.04 0
        500 http://deb-mirror.habari.co.tz/ubuntu/ lucid-updates/main Packages
     1.5.0.1-0ubuntu0.10.04.0 0
        500 http://deb-mirror.habari.co.tz/ubuntu/ lucid/main Packages

tags: added: verification-done-lucid
Chris Glass (tribaal) wrote :

Verified with the pacakge in precise-proposed. I checked the code is the same as the utopic version that succeeds at solving the bug.

tribaal@ubuntu:/usr/lib/python2.7/dist-packages/landscape$ apt-cache policy landscape-client
landscape-client:
  Installed: 14.12-0ubuntu0.12.04
  Candidate: 14.12-0ubuntu0.12.04
  Version table:
 *** 14.12-0ubuntu0.12.04 0
        500 http://deb-mirror.habari.co.tz/ubuntu/ precise-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     13.07.3-0ubuntu0.12.04 0
        500 http://deb-mirror.habari.co.tz/ubuntu/ precise-updates/main amd64 Packages
     12.04.3-0ubuntu1 0
        500 http://deb-mirror.habari.co.tz/ubuntu/ precise/main amd64 Packages

tags: added: verification-done-precise
removed: verification-needed

The verification of the Stable Release Update for landscape-client has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Changed in landscape-client:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers